%{!?python_sitearch: %global python_sitearch %(%__python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: An alternate posix capabilities library
Name: libcap-ng
Version: 0.6.5
Release: alt1.1
License: LGPLv2+
Group: System/Libraries
Url: http://people.redhat.com/sgrubb/libcap-ng
Source0: http://people.redhat.com/sgrubb/libcap-ng/%name-%version.tar.gz

BuildRequires: kernel-headers >= 2.6.11 libattr-devel python-devel swig

%description
Libcap-ng is a library that makes using posix capabilities easier

%package devel
Summary: Header files for libcap-ng library
License: LGPLv2+
Group: Development/C
Requires: kernel-headers >= 2.6.11
Requires: %name = %version-%release

%description devel
The libcap-ng-devel package contains the files needed for developing
applications that need to use the libcap-ng library.

%package -n python-module-%name
Summary: Python bindings for libcap-ng library
License: LGPLv2+
Group: Development/C
Requires: %name = %version-%release

%description -n python-module-%name
The libcap-ng-python package contains the bindings so that libcap-ng
and can be used by python applications.

%package utils
Summary: Utilities for analysing and setting file capabilities
License: GPLv2+
Group: Development/C

%description utils
The libcap-ng-utils package contains applications to analyse the
posix capabilities of all the program running on a system. It also
lets you set the file system based capabilities.

%prep
%setup -q
sed -i "/LIBS/s/libcap-ng.la/libcap-ng.la -lpython%__python_version/g" bindings/python/Makefile.am

%build
%autoreconf
%configure --libdir=/%_lib
%ifarch arm
sed -i s/-O2//g src/Makefile
%endif
%make_build

%install
%makeinstall_std

# Move the symlink
rm -f $RPM_BUILD_ROOT/%_lib/%name.so
mkdir -p $RPM_BUILD_ROOT%_libdir
VLIBNAME=$(ls $RPM_BUILD_ROOT/%_lib/%name.so.*.*.*)
LIBNAME=$(basename $VLIBNAME)
ln -s ../../%_lib/$LIBNAME $RPM_BUILD_ROOT%_libdir/%name.so

# Move the pkgconfig file
mv $RPM_BUILD_ROOT/%_lib/pkgconfig $RPM_BUILD_ROOT%_libdir

# Remove a couple things so they don't get picked up
rm -f $RPM_BUILD_ROOT/%_lib/libcap-ng.la
rm -f $RPM_BUILD_ROOT/%_lib/libcap-ng.a
rm -f $RPM_BUILD_ROOT/%_libdir/python?.?/site-packages/_capng.a
rm -f $RPM_BUILD_ROOT/%_libdir/python?.?/site-packages/_capng.la

%files
%doc COPYING.LIB
/%_lib/libcap-ng.so.*

%files devel
%_mandir/man3/*
%_includedir/cap-ng.h
%_libdir/libcap-ng.so
%_datadir/aclocal/cap-ng.m4
%_libdir/pkgconfig/libcap-ng.pc

%files -n python-module-%name
%_libdir/python?.?/site-packages/_capng.so
%python_sitearch/capng.py*

%files utils
%doc COPYING
%_bindir/*
%_mandir/man8/*

%changelog
* Tue Nov 09 2010 Michail Yakushin <silicium@altlinux.ru> 0.6.5-alt1.1
- rebuild for arm 

* Thu Nov 04 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 0.6.5-alt1
- New version

* Thu Jul 22 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 0.6.4-alt1
- Build for ALT
